#!/usr/bin/python
# -*- coding: utf-8 -*-

import tomli_w

try:
    import tomllib
except:
    import tomli as tomllib


class Toml:

    def open_file_toml(filename: str) -> dict:
        with open(filename, mode="rb") as fn:
            data = tomllib.load(fn)
            return data

    def save_to_toml(filename: str, data: dict) -> None:
        with open(filename, 'w') as fn:
            data_as_string = tomli_w.dumps(data)
            fn.write(data_as_string)
